{-# OPTIONS_HADDOCK show-extensions #-}
{-# LANGUAGE Strict #-}

-- |
-- Module      :  Languages.Ukrainian.Data
-- Copyright   :  (c) OleksandrZhabenko 2020-2022
-- License     :  MIT
-- Maintainer  :  olexandr543@yahoo.com
--

module Languages.Ukrainian.Data where

import GHC.Arr
import GHC.Int (Int8)

tup1 :: Array Int (Int8, Bool)
tup1 = listArray (0,13) [(10,True),(17,True),(21,True),(25,True),(32,True),(38,True),(39,True),
              (41,True),(43,True),(45,True),(47,True),(49,True),(50,True),(52,True)]

tup2 :: Array Int (Int8, Bool)
tup2 = listArray (0,19) [(10,True),(15,True),(17,True),(19,True),(21,True),(25,True),(28,True),
              (30,True),(32,True),(34,True),(36,True),(38,True),(39,True),(41,True),(43,True),(45,True),(47,True),
                (49,True),(50,True),(52,True)]

tup3 :: Array Int (Int8, Bool)
tup3 = listArray (0,13) [(10,False),(17,False),(21,False),(25,False),(32,False),(38,False),(39,False),
                  (41,False),(43,False),(45,False),(47,False),(49,False),(50,False),(52,False)]

tup4 :: Array Int (Int8, Bool)
tup4 = listArray (0,5) [(17,True),(32,True),(38,True),(49,True),(50,True),(52,True)]

tup5 :: Array Int ([Int8], Bool)
tup5 = listArray (0,8) [([17,10],True),([17,25],True),([32,50],True),([38,7],True),([49,7],True),
              ([49,50],True),([50,7],True),([50,49],True),([52,21],True)]

tup6 :: Array Int ([Int8], Int8)
tup6 = listArray (0,8) [([17,10],23),([17,25],8),([32,50],62),([38,7],66),([49,7],54), ([49,50],63),
              ([50,7],64),([50,49],38),([52,21],21)]

tup8 :: Array Int (Int8, Bool)
tup8 = listArray (0,7) [(8,True),(10,True),(15,True),(17,True),(19,True),(21,True),(23,True),(25, True)]

tup9 :: Array Int ([Int8], Bool)
tup9 = listArray (0,10) [([15,7],True),([17,7],True),([28,7],True),([30,7],True),([32,7],True),([36,7],True),
              ([38,7],True),([43,7],True),([47,7],True),([49,7],True),([50,7],True)]

tup10 :: Array Int ([Int8], Bool)
tup10 = listArray (0,4) [([12],True),([13],True),([14],True),([64],True),([65],True)]

tup11 :: Array Int ([Int8], Bool)
tup11 = listArray (0,7) [([8,7],True),([17,7],True),([25,7],True),([28,7],True),([32,7],True),([38,7],True),
              ([49,7],True),([50,7],True)]

tup12 :: Array Int (Int8, [Int8])
tup12 = listArray (0,6) [(12,[8,7]),(13,[25,7]),(14,[17,7]),(62,[32,50]),(63,[49,50]),(64,[50,7]), (65,[32,7])]

tup13 :: Array Int (Char, Int8)
tup13 = listArray (0,36) [('\'',-2),('-',-1),('\700',60),('\1072',1),('\1073',15),('\1074',36),('\1075',21),
              ('\1076',17),('\1077',2),('\1078',10),('\1079',25),('\1080',5),('\1081',27),('\1082',45),('\1083',28),
                ('\1084',30),('\1085',32),('\1086',3),('\1087',47),('\1088',34),('\1089',49),('\1090',50),('\1091',4),
                  ('\1092',43),('\1093',52),('\1094',38),('\1095',39),('\1096',41),('\1097',55),('\1100',7),('\1102',56),
                    ('\1103',57),('\1108',58),('\1110',6),('\1111',59),('\1169',19),('\8217',61)]

tup14 :: Array Int (Int8, [Int8])
tup14 = listArray (0,8) [(-2,[-1]),(-1,[-1]),(55,[41,39]),(56,[27,4]),(57,[27,1]),(58,[27,2]),(59,[27,6]),(60,[-1]),(61,[-1])]

tup15 :: Array Int (Char, Bool)
tup15 = listArray (0,15) [('\'',True),('-',True),('\700',True),('\1028',True),('\1030',True),('\1031',True),
              ('\1068',True),('\1100',True),('\1102',True),('\1103',True),('\1108',True),('\1110',True),('\1111',True),
                ('\1168',True),('\1169',True),('\8217',True)]

tup16 :: Array Int (Char, Bool)
tup16 = listArray (0,20) [('\1073',True),('\1074',True),('\1075',True),('\1076',True),('\1078',True),
              ('\1079',True),('\1082',True),('\1083',True),('\1084',True),('\1085',True),('\1087',True),('\1088',True),
                ('\1089',True),('\1090',True),('\1092',True),('\1093',True),('\1094',True),('\1095',True),('\1096',True),
                  ('\1097',True),('\1169',True)]

tup17 :: Array Int (Int8, Bool)
tup17 = listArray (0,19) [(8,False),(10,False),(15,False),(17,False),(19,False),(21,False),(23,False),(25,False),
         (28,False),(30,False),(32,False),(34,False),(36,False),(39,False),(41,False),(43,False),(45,False),(47,False),
           (50,False),(52,False)]
